package com.jz.dmp.modules.controller.bean;

import java.util.Date;

import com.jz.common.bean.BasePageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**项目信息参数请求封装
 * @author ybz
 *
 */
@ApiModel(value = "项目信息参数请求封装", description = "项目信息参数请求封装")
public class DmpProjectRequest extends BasePageBean {
	/**
	* ID
	*/
	@ApiModelProperty(value = "ID")
	private Integer id;

	/**
	* 管理员帐号
	*/
	@ApiModelProperty(value = "管理员帐号")
	private String ownerId;

	/**
	* 生产帐号
	*/
	@ApiModelProperty(value = "生产帐号")
	private String productionId;

	/**
	* 数据仓库帐号
	*/
	@ApiModelProperty(value = "数据仓库帐号")
	private String dataWarehouseId;

	/**
	* 项目名称
	*/
	@ApiModelProperty(value = "项目名称")
	private String name;

	/**
	* 项目显示名称
	*/
	@ApiModelProperty(value = "项目显示名称")
	private String displayName;

	/**
	* 项目描述
	*/
	@ApiModelProperty(value = "项目描述")
	private String projectDesc;

	/**
	* 发布目标
	*/
	@ApiModelProperty(value = "发布目标")
	private Integer publishTargetId;

	/**
	* 启动调度周期
	*/
	@ApiModelProperty(value = "启动调度周期")
	private String isEnableScheduler;

	/**
	* 允许在本项目中直接编辑任务和代码
	*/
	@ApiModelProperty(value = "允许在本项目中直接编辑任务和代码")
	private String isEditTaskCode;

	/**
	* 能否下载select结果
	*/
	@ApiModelProperty(value = "能否下载select结果")
	private String isEnableSelect;

	/**
	* 数据仓库项目名称
	*/
	@ApiModelProperty(value = "数据仓库项目名称")
	private String dwName;

	/**
	* 数据仓库访问身份类型
	*/
	@ApiModelProperty(value = "数据仓库访问身份类型")
	private String dwAccessType;

	/**
	* 使用ACL授权
	*/
	@ApiModelProperty(value = "使用ACL授权")
	private String dwIsEnableAcl;

	/**
	* 允许对象创建者访问对象
	*/
	@ApiModelProperty(value = "允许对象创建者访问对象")
	private String dwIsEnableAccessObj;

	/**
	* 允许对象创建者授权对象
	*/
	@ApiModelProperty(value = "允许对象创建者授权对象")
	private String dwIsEnableAuthObj;

	/**
	* 项目空间数据保护
	*/
	@ApiModelProperty(value = "项目空间数据保护")
	private String dwIsProtectData;

	/**
	* 数据状态
	*/
	@ApiModelProperty(value = "数据状态")
	private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
	private String createUserId;

	/**
	* 数据创建时间起
	*/
	@ApiModelProperty(value = "数据创建时间起")
	private Date createTimeStart;

	/**
	* 数据创建时间止
	*/
	@ApiModelProperty(value = "数据创建时间止")
	private Date createTimeEnd;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
	private String updateUserId;

	/**
	* 
	*/
	@ApiModelProperty(value = "")
	private String impalaJdbcUrl;

	/**
	* 
	*/
	@ApiModelProperty(value = "")
	private String impalaMasterFqdn;

	/**
	* 数据更新时间起
	*/
	@ApiModelProperty(value = "数据更新时间起")
	private Date updateTimeStart;

	/**
	* 数据更新时间止
	*/
	@ApiModelProperty(value = "数据更新时间止")
	private Date updateTimeEnd;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getOwnerId() {
		return ownerId;
	}

	public void setOwnerId(String ownerId) {
		this.ownerId = ownerId;
	}

	public String getProductionId() {
		return productionId;
	}

	public void setProductionId(String productionId) {
		this.productionId = productionId;
	}

	public String getDataWarehouseId() {
		return dataWarehouseId;
	}

	public void setDataWarehouseId(String dataWarehouseId) {
		this.dataWarehouseId = dataWarehouseId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDisplayName() {
		return displayName;
	}

	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	public String getProjectDesc() {
		return projectDesc;
	}

	public void setProjectDesc(String projectDesc) {
		this.projectDesc = projectDesc;
	}

	public Integer getPublishTargetId() {
		return publishTargetId;
	}

	public void setPublishTargetId(Integer publishTargetId) {
		this.publishTargetId = publishTargetId;
	}

	public String getIsEnableScheduler() {
		return isEnableScheduler;
	}

	public void setIsEnableScheduler(String isEnableScheduler) {
		this.isEnableScheduler = isEnableScheduler;
	}

	public String getIsEditTaskCode() {
		return isEditTaskCode;
	}

	public void setIsEditTaskCode(String isEditTaskCode) {
		this.isEditTaskCode = isEditTaskCode;
	}

	public String getIsEnableSelect() {
		return isEnableSelect;
	}

	public void setIsEnableSelect(String isEnableSelect) {
		this.isEnableSelect = isEnableSelect;
	}

	public String getDwName() {
		return dwName;
	}

	public void setDwName(String dwName) {
		this.dwName = dwName;
	}

	public String getDwAccessType() {
		return dwAccessType;
	}

	public void setDwAccessType(String dwAccessType) {
		this.dwAccessType = dwAccessType;
	}

	public String getDwIsEnableAcl() {
		return dwIsEnableAcl;
	}

	public void setDwIsEnableAcl(String dwIsEnableAcl) {
		this.dwIsEnableAcl = dwIsEnableAcl;
	}

	public String getDwIsEnableAccessObj() {
		return dwIsEnableAccessObj;
	}

	public void setDwIsEnableAccessObj(String dwIsEnableAccessObj) {
		this.dwIsEnableAccessObj = dwIsEnableAccessObj;
	}

	public String getDwIsEnableAuthObj() {
		return dwIsEnableAuthObj;
	}

	public void setDwIsEnableAuthObj(String dwIsEnableAuthObj) {
		this.dwIsEnableAuthObj = dwIsEnableAuthObj;
	}

	public String getDwIsProtectData() {
		return dwIsProtectData;
	}

	public void setDwIsProtectData(String dwIsProtectData) {
		this.dwIsProtectData = dwIsProtectData;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public String getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTimeStart() {
		return createTimeStart;
	}

	public void setCreateTimeStart(Date createTimeStart) {
		this.createTimeStart = createTimeStart;
	}

	public Date getCreateTimeEnd() {
		return createTimeEnd;
	}

	public void setCreateTimeEnd(Date createTimeEnd) {
		this.createTimeEnd = createTimeEnd;
	}

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public String getImpalaJdbcUrl() {
		return impalaJdbcUrl;
	}

	public void setImpalaJdbcUrl(String impalaJdbcUrl) {
		this.impalaJdbcUrl = impalaJdbcUrl;
	}

	public String getImpalaMasterFqdn() {
		return impalaMasterFqdn;
	}

	public void setImpalaMasterFqdn(String impalaMasterFqdn) {
		this.impalaMasterFqdn = impalaMasterFqdn;
	}

	public Date getUpdateTimeStart() {
		return updateTimeStart;
	}

	public void setUpdateTimeStart(Date updateTimeStart) {
		this.updateTimeStart = updateTimeStart;
	}

	public Date getUpdateTimeEnd() {
		return updateTimeEnd;
	}

	public void setUpdateTimeEnd(Date updateTimeEnd) {
		this.updateTimeEnd = updateTimeEnd;
	}
}
